name: slapt-get CI

on:
  push:
    branches: [ "main" ]
  pull_request:
    branches: [ "main" ]

jobs:
  build:

    runs-on: ubuntu-latest

    steps:
    - uses: actions/checkout@v3

    - name: setup
      run: sudo apt-get install meson libgpgme-dev libcurl4-openssl-dev check

    - name: get newest meson
      run: pip3 install --user --upgrade meson

    - name: configure
      run: ~/.local/bin/meson build --prefix=/usr --sysconfdir=/etc --mandir=/usr/man --buildtype=debugoptimized -Dtestbuild=enabled

    - name: compile
      run: ~/.local/bin/meson compile -C build

    - name: setup test
      run: |
          sudo mkdir -p /var/lib/pkgtools/packages /etc/slapt-get
          sudo chown $(id -u) /etc/slapt-get

    - name: run test
      run: ~/.local/bin/meson test -v -C build
